Info - LoL System Requirements

12345 ... 9
Comment below rating threshold, click here to show it.

reapermaster

Senior Member

09-25-2009

The system requirements for League of legends has not been finalized, nor will it be finalized until it is about to release. Below is a list of requirements that I have compiled based on post in the forums.

This a minimum recommended. It may run on less, but it is not advised

OS
XP Service Pack 3
Vista Service Pack 1
Windows 7

PC Requirements
CPU 2 GHz CPU
RAM 1024 meg memory
Hard Drive approximately 1.3 gig of hard drive space
Video Card must support shader model 2.0
- nvidia: GeForce 5 or better
- ati: any 9xxx after and not including the 9250, any Xxxx after and including the X300
- intel: no clue, if you have an idea let me know
Video card memory recommended minimum is 512 meg at the moment
Internet connection required at all times currently, Dial-up will not work currently

SLI is not currently supported. Some users have had no reported issue. Others have reported anomalies and sometimes crashes.

Crossfire works, but I do not know if it is officially supported at this time. Personally I run it and have had no problems.

MAC Users
To even consider doing this your machine MUST SUPPORT bootcamp. Using any form of virtualization will not work

Linux Users
Attempts have been made to get it to work in WINE but I believe it currently does not work because of a problem with scrolling on one of the agreements. If I understood correctly its a known problem with WINE. However I have not kept up with all of the post so I recommend you do some searching within the forums.

SYSTEM COMPARISON
If you would like to compare your rig to what some of the other users out there are using refer to the following post http://beta.leagueoflegends.com/boar...ead.php?t=7989

EDIT* Sli comments updated


Comment below rating threshold, click here to show it.

Berler

This user has referred a friend to League of Legends, click for more information

Adjudicator

09-25-2009

Quote:
Originally Posted by reapermaster View Post
SLI is not currently supported. Attempting to use it you will crash the game and sometimes your computer.
I've been running just fine with SLI for months.


Comment below rating threshold, click here to show it.

apolloag

Junior Member

10-04-2009

Is there any possibility of changing your game to support those video cards that support lower than pixel shader 2.0? From the look of many of these board posts, it seems that a lot of people are affected by this. Just curious if you were planning to fix this, or maintain 2.0 as a minimum spec requirement.

Thanks.


Comment below rating threshold, click here to show it.

Khoel

Junior Member

10-06-2009

playing in parallels 4 on new mac book pro works, runs at around 25 fps. some minor graphics artifacts, maybe due to too low graphics memory in virtual machine.


Comment below rating threshold, click here to show it.

Mada Iron

This user has referred a friend to League of Legends, click for more information

Junior Member

10-06-2009

I'm running the game just fine on 512 RAM but it's a measly ~20 fps with horrendous load times.


Comment below rating threshold, click here to show it.

IS1611d82ca8b215

Adjudicator

10-07-2009

So do you work with riot or what? lol.


Comment below rating threshold, click here to show it.

reapermaster

Senior Member

10-07-2009

hehe, one can only dream of working for a game company. Naw, Im a network administrator for a multistate company. Monitor the support forums in my downtime and try to help with what Im good at... I suck at the game play so I cant contribute all that much in that area.

Its a great game and I would love to see it succeed. by doing trouble shooting hopefully it can take some of the load off of a limited IT staff at riot and help the devs get insight if the problems are client side of OS/other related and how to best address them.


Comment below rating threshold, click here to show it.

Xocolatl

This user has referred a friend to League of Legends, click for more information

Senior Member

10-09-2009

Quote:
Video Card must support shader model 2.0
I am using ASUS Aspire1 with the Intel945 or whatever chipset. It does not support vertex shader 2.0. On mostly low setting, I am running the game at 15FPS. It's not stellar, it is still playablefor gaming on the go (on a budget).

So to all players out there running EEE laptops--yes, you will be able to play LoL. It's nothing to write home about, but considering the only two games that ever run on my laptop is WoW and LoL, it's a huge feat to accomplish.


Comment below rating threshold, click here to show it.

Malign

Junior Member

10-11-2009

Dedicated DOTA player. I have a copy of beta and would be overjoyed to preorder the deluxe edition and contribute financially to the game. However I, like many of my friends, am a Mac user. If Mac support is not made available Riot Games will be losing out on a significant amount of sales. Recent sales data indicates that 94% of portable computers sold in the US last quarter that cost over $1000 were Macs.

This means that the individuals who are most likely to spend money on the non-free features of the game will be unable to play it without installing Boot Camp.

For the majority of PC-humping forumites who probably don't know the first thing about Boot Camp, let alone a Mac beyond personal bias, may I add that the majority of Mac users do not use the program. I personally find it a tremendous joke to be expected to turn my Mac into a PC in order to play LoL, sacrificing a large chunk of memory and exposing my computer to all of the OS bugs and problems I stopped using PC to get away from.

Icefrog, Riot Games, forumites, please get on the bandwagon for Mac/Linux support. It's what Blizzard Entertainment does. It's what most major developers do, and (regardless of what the majority will say), these niche players are income just waiting to be harvested.

tl;dr, but that's my two cents.

-Malign


Comment below rating threshold, click here to show it.

Best Tristana PA

Member

10-12-2009

hahahahaha you say "Over $1000" of course they're all macs because you cant get a decent one for under that. My computer was $600 and I have windows and it works perfectly. The lesson that needs to be learned is, don't buy a mac if you want to play video games.


12345 ... 9